# Uses of Class
java.net.CookieHandler

Packages that use CookieHandler
Package
Description
java.net
Provides the classes for implementing networking applications.
java.net.http
HTTP Client and WebSocket APIs

## Uses of CookieHandler in java.net

Subclasses of CookieHandler in java.net
Modifier and Type
Class
Description
`class`
`CookieManager`
CookieManager provides a concrete implementation of `CookieHandler`, which separates the storage of cookies from the policy surrounding accepting and rejecting cookies.
Methods in java.net that return CookieHandler
Modifier and Type
Method
Description
`static CookieHandler`
CookieHandler.`getDefault()`
Gets the system-wide cookie handler.
Methods in java.net with parameters of type CookieHandler
Modifier and Type
Method
Description
`static void`
CookieHandler.`setDefault​(CookieHandler cHandler)`
Sets (or unsets) the system-wide cookie handler.

## Uses of CookieHandler in java.net.http

Methods in java.net.http that return types with arguments of type CookieHandler
Modifier and Type
Method
Description
`abstract Optional<CookieHandler>`
HttpClient.`cookieHandler()`
Returns an `Optional` containing this client's `CookieHandler`.
Methods in java.net.http with parameters of type CookieHandler
Modifier and Type
Method
Description
`HttpClient.Builder`
HttpClient.Builder.`cookieHandler​(CookieHandler cookieHandler)`
Sets a cookie handler.